# PSF-LoginServer - master - net.psforever.services.vehicle.VehicleAction
PSF - LoginServer - master - net.psforever.services.vehicle.VehicleAction
Keywords: PSF LoginServer master net.psforever.services.vehicle.VehicleAction

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package vehicle
  Definition Classes
    services
-  package support
  Definition Classes
    vehicle
- VehicleAction
- VehicleResponse
- VehicleService
- VehicleServiceMessage
- VehicleServiceResponse

o

net.psforever.services.vehicle

# VehicleAction

###

#### object VehicleAction

Source
  VehicleServiceMessage.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleAction
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  trait Action extends AnyRef
2.  final case class ChangeLoadout (target_guid: PlanetSideGUID, removed_weapons: List[(Equipment, PlanetSideGUID)], new_weapons: List[InventoryItem], old_inventory: List[(Equipment, PlanetSideGUID)], new_inventory: List[InventoryItem]) extends Action with Product with Serializable
3.  final case class ChildObjectState (player_guid: PlanetSideGUID, object_guid: PlanetSideGUID, pitch: Float, yaw: Float) extends Action with Product with Serializable
4.  final case class DeployRequest (player_guid: PlanetSideGUID, object_guid: PlanetSideGUID, state: types.DriveState.Value, unk1: Int, unk2: Boolean, pos: Vector3) extends Action with Product with Serializable
5.  final case class DismountVehicle (player_guid: PlanetSideGUID, bailType: types.BailType.Value, unk2: Boolean) extends Action with Product with Serializable
6.  final case class EquipmentInSlot (player_guid: PlanetSideGUID, target_guid: PlanetSideGUID, slot: Int, equipment: Equipment) extends Action with Product with Serializable
7.  final case class InventoryState (player_guid: PlanetSideGUID, obj: PlanetSideGameObject, parent_guid: PlanetSideGUID, start: Int, con_data: ConstructorData) extends Action with Product with Serializable
8.  final case class InventoryState2 (player_guid: PlanetSideGUID, obj_guid: PlanetSideGUID, parent_guid: PlanetSideGUID, value: Int) extends Action with Product with Serializable
9.  final case class KickCargo (player_guid: PlanetSideGUID, cargo: Vehicle, speed: Int, delay: Long) extends Action with Product with Serializable
10.  final case class KickPassenger (player_guid: PlanetSideGUID, unk1: Int, unk2: Boolean, vehicle_guid: PlanetSideGUID) extends Action with Product with Serializable
11.  final case class LoadVehicle (player_guid: PlanetSideGUID, vehicle: Vehicle, vtype: Int, vguid: PlanetSideGUID, vdata: ConstructorData) extends Action with Product with Serializable
12.  final case class MountVehicle (player_guid: PlanetSideGUID, object_guid: PlanetSideGUID, seat: Int) extends Action with Product with Serializable
13.  final case class ObjectDelete (guid: PlanetSideGUID) extends Action with Product with Serializable
14.  final case class Ownership (player_guid: PlanetSideGUID, vehicle_guid: PlanetSideGUID) extends Action with Product with Serializable
15.  final case class PlanetsideAttribute (player_guid: PlanetSideGUID, target_guid: PlanetSideGUID, attribute_type: Int, attribute_value: Long) extends Action with Product with Serializable
16.  final case class SeatPermissions (player_guid: PlanetSideGUID, vehicle_guid: PlanetSideGUID, seat_group: Int, permission: Long) extends Action with Product with Serializable
17.  final case class SendResponse (player_guid: PlanetSideGUID, msg: PlanetSideGamePacket) extends Action with Product with Serializable
18.  final case class StowEquipment (player_guid: PlanetSideGUID, vehicle_guid: PlanetSideGUID, slot: Int, item: Equipment) extends Action with Product with Serializable
19.  final case class TransferPassengerChannel (player_guid: PlanetSideGUID, temp_channel: String, new_channel: String, vehicle: Vehicle, vehicle_to_delete: PlanetSideGUID) extends Action with Product with Serializable
20.  final case class UnloadVehicle (player_guid: PlanetSideGUID, vehicle: Vehicle, vehicle_guid: PlanetSideGUID) extends Action with Product with Serializable
21.  final case class UnstowEquipment (player_guid: PlanetSideGUID, item_guid: PlanetSideGUID) extends Action with Product with Serializable
22.  final case class UpdateAmsSpawnPoint (zone: Zone) extends Action with Product with Serializable
23.  final case class VehicleState (player_guid: PlanetSideGUID, vehicle_guid: PlanetSideGUID, unk1: Int, pos: Vector3, ang: Vector3, vel: Option[Vector3], unk2: Option[Int], unk3: Int, unk4: Int, wheel_direction: Int, unk5: Boolean, unk6: Boolean) extends Action with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped